#define WIN32_LEAN_AND_MEAN 
#include <string.h>
#include <stdlib.h>
#include <windows.h>

extern HBITMAP __stdcall  CreateBmpFromMem( HWND hwind , void * pImg , void*) ;

unsigned char pDlgTemplate[]={	 1,0,255,255,0,0,0,0,0,0,0,0,64,0,207,16,
 								0,0,100,0,100,0,170,0,64,0,0,0,0,0,66,0,
 								105,0,116,0,109,0,97,0,112,0,32,0,102,0,114,0,
 								111,0,109,0,32,0,102,0,105,0,108,0,101,0,0,0,
 								8,0,0,0,0,1,77,0,83,0,32,0,83,0,97,0,
 								110,0,115,0,32,0,83,0,101,0,114,0,105,0,102,0,
 								0,0,0,0
							};

char szClassName[]="WndClass";

BOOL CALLBACK DlgProc(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam)
{
	PAINTSTRUCT ps;
	HDC hdc;
	HDC hMemDC;
	HANDLE hFile;
	DWORD pBytesRead;
	DWORD nFileSize;
	static HBITMAP hBitmap;
	static LPVOID *pBitmap;
	static HDC hDC1;

   switch(msg)
    {
    	  case WM_INITDIALOG:
    	 	hFile=CreateFile("Fish.bmp",GENERIC_READ,0,0,OPEN_EXISTING,FILE_ATTRIBUTE_ARCHIVE,0);
    	 	if (hFile==INVALID_HANDLE_VALUE) {
    	 											MessageBox(0,"Could not open file Fish.bmp","Error",MB_OK);
    	 											EndDialog(hwnd,0);
    	 											return FALSE;
    	 					       				}
    	 	nFileSize=GetFileSize(hFile,0);
    	 	pBitmap=malloc(nFileSize);
    	 	ReadFile(hFile,pBitmap,nFileSize,&pBytesRead,0);
    	 	CloseHandle(hFile);
    	 	hBitmap=CreateBmpFromMem(hwnd,pBitmap,&hDC1);
    	 	break;

    	 case WM_PAINT:
    	 	hdc=BeginPaint(hwnd,&ps);
    	 	hMemDC=CreateCompatibleDC(hdc);
    	 	SelectObject(hMemDC,hBitmap);
    	 	BitBlt(hdc,0,0,102,100,hMemDC,0,0,SRCCOPY);
    	 	DeleteDC(hMemDC);
    	 	EndPaint(hwnd,&ps);
    	 	break;

       case WM_CLOSE:
    	 	DeleteObject(hBitmap);
		ReleaseDC(hwnd,hDC1);
    	 	free(pBitmap);
    	 	EndDialog(hwnd,0);
            break;
    	 default:
            return FALSE;
    }
     return TRUE;

}

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
    LPSTR lpCmdLine, int nCmdShow)
{
   return (DialogBoxIndirectParam(hInstance,(DLGTEMPLATE *)pDlgTemplate,0,DlgProc,0));
}

